Subject: PWG> Re: PMP> Alert table thoughts

From: [email-masked] (Caruso,Angelo)
Date: Wed, 2 Apr 1997 05:18:25 PST

I believe that the "coverClosed" alert is intended for the rare case 
 when the normal operational state of a device requires that a certain 
 cover be open and closing that cover puts the device in a state where 
 it cannot operate normally . The only example I can think of is a 
 cover which gives access to a manual feed slot. The normal state would 
 be open when a job requires manually fed input. However, once the 
 manually fed job completes the normal state of that cover would return 
 to closed. Thus coverOpened and coverClosed are two separate (and 
 usually unrelated) alerts.

As to the change in name from "coverOpen" to "coverOpened", I don't 
 understand why this occurred. I agree with Bill that the distinction 
 is not really that important as long as there is a reasonable 
 description of the intended use.

Angelo